2 Replies Latest reply on Mar 2, 2016 2:51 AM by Feroz Mahomed

    How to close sketch via api

    Feroz Mahomed

      What code do I need to add to close the current sketch?

       

      Dim swApp As Object

      Sub main()

      'Private Sub cmd500_Click()

        Dim swApp As Object

        Dim Part As Object

        Dim SelMgr As Object

        Dim boolstatus As Boolean

        Set swApp = Application.SldWorks

        Set Part = swApp.ActiveDoc

       

        boolstatus = Part.Extension.SelectByID2("Front", "PLANE", 0, 0, 0, False, 0, Nothing, 0)

        Part.InsertSketch2 True

        Part.CreateCircleByRadius2 0, 0, 0, 0.07

        'Part.FeatureManager.FeatureExtrusion2 True, False, False, 0, 0, 0.5, 0, False, False, False, False, 0.01745, 0.01745, False, False, False, False,